import Flutter
import UIKit

public class SwiftFlutterAliCameraPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutter_ali_camera", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterAliCameraPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
    
    // register view factory
    let factory = AliCameraViewFactory(messeneger: registrar.messenger())
    registrar.register(factory, withId: "com.i2edu.cameraLib")
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    result("iOS " + UIDevice.current.systemVersion)
  }
}
