#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint flutter_ali_camera.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'flutter_ali_camera'
  s.version          = '0.0.1'
  s.summary          = 'A new Flutter plugin.'
  s.description      = <<-DESC
A new Flutter plugin.
                       DESC
  s.homepage         = 'http://example.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Your Company' => 'email@example.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.public_header_files = 'Classes/**/*.h'
  s.dependency 'Flutter'
  s.platform = :ios, '8.0'
  s.swift_version = '5.0'
  s.frameworks = 'ImageIO', 'CoreMedia', 'CoreVideo', 'VideoToolBox', 'MediaPlayer', 'OpenAL', 'CoreLocation', 'QuartzCore', 'CoreGraphics'
  s.libraries = 'z', 'c++', 'c', 'sqlite3', 'iconv', 'resolv'
  s.dependency 'AliyunVideoSDKStd', ' ~> 3.16.0'
  s.dependency 'QuCore-ThirdParty', ' ~> 3.15.0'
  s.dependency 'AlivcConan', '~> 1.0.3'
  s.dependency 'VODUpload'
  s.dependency 'AliyunOSSiOS'
  s.static_framework = true

  # Flutter.framework does not contain a i386 slice. Only x86_64 simulators are supported.
    s.pod_target_xcconfig = {
      'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64'
    }
    s.user_target_xcconfig = { 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64' }
end
